Package org.picocontainer.references

# Class ThreadLocalMapObjectReference<T>

java.lang.Object
org.picocontainer.references.ThreadLocalMapObjectReference<T>

All Implemented Interfaces:
  `ObjectReference<T>`

public class ThreadLocalMapObjectReference<T> extends Object implements ObjectReference<T>
Gets and sets references on a map stored in Thread Local

Author:
  Paul Hammant

## Constructor Summary

Constructors
Constructor
Description
`ThreadLocalMapObjectReference(ThreadLocal<Map<Object,T>> threadLocal, Object componentKey)`

## Method Summary

Modifier and Type
Method
Description
`T`
`get()`
Retrieve an actual reference to the object.
`void`
`set(T item)`
Assign an object to the reference.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ThreadLocalMapObjectReference

public ThreadLocalMapObjectReference(ThreadLocal<Map<Object,T>> threadLocal, Object componentKey)

## Method Details

### get

public T get()
Description copied from interface: `ObjectReference`
Retrieve an actual reference to the object. Returns null if the reference is not available or has not been populated yet.

Specified by:
  `get` in interface `ObjectReference<T>`
Returns:
  an actual reference to the object.

### set

public void set(T item)
Description copied from interface: `ObjectReference`
Assign an object to the reference.

Specified by:
  `set` in interface `ObjectReference<T>`
Parameters:
  `item` - the object to assign to the reference. May be `null`.